Get aggregated FastEdge usage statistics
curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/stats \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/stats"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/fastedge/v1/admin/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/fastedge/v1/admin/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/fastedge/v1/admin/stats")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/fastedge/v1/admin/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"total_count": 123,
"exec_time": {
"min": 123,
"max": 123,
"avg": 123,
"median": 123,
"perc75": 123,
"perc90": 123
},
"status_counts": {
"success": 123,
"count_3xx": 123,
"count_4xx": 123,
"count_5xx": 123
},
"client_id": 123,
"app_id": 123,
"region": "<string>",
"country": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Stats
Get aggregated FastEdge usage statistics
Retrieve aggregated FastEdge request statistics across clients for the given time range, optionally filtered by client and grouped by one or more dimensions. Each result row contains the total request count, execution-time statistics and request counts by HTTP status class.
GET
/
fastedge
/
v1
/
admin
/
stats
Get aggregated FastEdge usage statistics
curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/stats \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/stats"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/fastedge/v1/admin/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/fastedge/v1/admin/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/fastedge/v1/admin/stats")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/fastedge/v1/admin/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"total_count": 123,
"exec_time": {
"min": 123,
"max": 123,
"avg": 123,
"median": 123,
"perc75": 123,
"perc90": 123
},
"status_counts": {
"success": 123,
"count_3xx": 123,
"count_4xx": 123,
"count_5xx": 123
},
"client_id": 123,
"app_id": 123,
"region": "<string>",
"country": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Query Parameters
Response
Returns aggregated statistics rows for the specified period
Was this page helpful?